Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Base_StreamEndPoint Class Reference

Base class for the A/V StreamEndPoint class. More...

`#include <AVStreams_i.h>`

Inheritance diagram for TAO_Base_StreamEndPoint:

[legend]
Collaboration diagram for TAO_Base_StreamEndPoint:

[legend]
List of all members.

## Public Methods
| TAO_Base_StreamEndPoint (void)
virtual | ~TAO_Base_StreamEndPoint (void)
virtual int | handle_open (void)
| called when streamendpoint is instantiated. More...
virtual int | handle_close (void)
| called when streamendpoint is being destructed. More...
virtual int | handle_stop (const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Application needs to define this. More...
virtual int | handle_start (const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Application needs to define this. More...
virtual int | handle_destroy (const AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Application needs to define this. More...
virtual CORBA::Boolean | handle_preconnect (AVStreams::flowSpec &the_spec)
| Application needs to define this. More...
virtual CORBA::Boolean | handle_postconnect (AVStreams::flowSpec &the_spec)
| Application needs to define this. More...
virtual CORBA::Boolean | handle_connection_requested (AVStreams::flowSpec &the_spec ACE_ENV_ARG_DECL_WITH_DEFAULTS)
| Application needs to define this. More...
virtual int | get_callback (const char *flowname, TAO_AV_Callback *&callback)
virtual int | get_control_callback (const char *flowname, TAO_AV_Callback *&callback)
virtual int | set_protocol_object (const char *flowname, TAO_AV_Protocol_Object *object)
virtual void | set_flow_handler (const char *flowname, TAO_AV_Flow_Handler *handler)
virtual void | set_control_flow_handler (const char *flowname, TAO_AV_Flow_Handler *handler)
TAO_AV_QoS & | qos (void)
## Protected Attributes
TAO_AV_QoS | qos_
Flow_Handler_Map | flow_handler_map_
Flow_Handler_Map | control_flow_handler_map_

## Detailed Description

Base class for the A/V StreamEndPoint class.

this class is used to control the stream. It should be subclassed by applications that want to provide more control features.

## Constructor & Destructor Documentation

TAO_Base_StreamEndPoint::TAO_Base_StreamEndPoint | ( | void |  | ) |

TAO_Base_StreamEndPoint::~TAO_Base_StreamEndPoint | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_Base_StreamEndPoint::get_callback | ( | const char * | flowname,
|  | TAO_AV_Callback *& | callback
| ) | `[virtual]`

int TAO_Base_StreamEndPoint::get_control_callback | ( | const char * | flowname,
|  | TAO_AV_Callback *& | callback
| ) | `[virtual]`

int TAO_Base_StreamEndPoint::handle_close | ( | void |  | ) | `[virtual]`

| called when streamendpoint is being destructed.

virtual CORBA::Boolean TAO_Base_StreamEndPoint::handle_connection_requested | ( | AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Application needs to define this.

virtual int TAO_Base_StreamEndPoint::handle_destroy | ( | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Application needs to define this.

int TAO_Base_StreamEndPoint::handle_open | ( | void |  | ) | `[virtual]`

| called when streamendpoint is instantiated.

CORBA::Boolean TAO_Base_StreamEndPoint::handle_postconnect | ( | AVStreams::flowSpec & | the_spec | ) | `[virtual]`

| Application needs to define this.

CORBA::Boolean TAO_Base_StreamEndPoint::handle_preconnect | ( | AVStreams::flowSpec & | the_spec | ) | `[virtual]`

| Application needs to define this.

virtual int TAO_Base_StreamEndPoint::handle_start | ( | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Application needs to define this.

virtual int TAO_Base_StreamEndPoint::handle_stop | ( | const AVStreams::flowSpec &the_spec | ACE_ENV_ARG_DECL_WITH_DEFAULTS | ) | `[virtual]`

| Application needs to define this.

ACE_INLINE TAO_AV_QoS & TAO_Base_StreamEndPoint::qos | ( | void |  | ) |

void TAO_Base_StreamEndPoint::set_control_flow_handler | ( | const char * | flowname,
|  | TAO_AV_Flow_Handler * | handler
| ) | `[virtual]`

void TAO_Base_StreamEndPoint::set_flow_handler | ( | const char * | flowname,
|  | TAO_AV_Flow_Handler * | handler
| ) | `[virtual]`

| Reimplemented in TAO_FlowEndPoint.

int TAO_Base_StreamEndPoint::set_protocol_object | ( | const char * | flowname,
|  | TAO_AV_Protocol_Object * | object
| ) | `[virtual]`

| Reimplemented in TAO_FlowEndPoint.

## Member Data Documentation

Flow_Handler_Map TAO_Base_StreamEndPoint::control_flow_handler_map_`[protected]`

Flow_Handler_Map TAO_Base_StreamEndPoint::flow_handler_map_`[protected]`

TAO_AV_QoS TAO_Base_StreamEndPoint::qos_`[protected]`

The documentation for this class was generated from the following files:

- AVStreams_i.h
- AVStreams_i.cpp
- AVStreams_i.i